[meta-python] [PATCH] python3-blinker: upgrade 1.4 -> 1.5


zhengruoqin
 

0001-use-pytest-instead-of-deprecated-nose.patch
removed since it's included in 1.5

License-Update: License check file changed to LICENSE.rst

Signed-off-by: Zheng Ruoqin <zhengrq.fnst@...>
---
...se-pytest-instead-of-deprecated-nose.patch | 36 -------------------
.../python/python3-blinker_1.4.bb | 22 ------------
.../python/python3-blinker_1.5.bb | 18 ++++++++++
3 files changed, 18 insertions(+), 58 deletions(-)
delete mode 100644 meta-python/recipes-devtools/python/python3-blinker/0001-use-pytest-instead-of-deprecated-nose.patch
delete mode 100644 meta-python/recipes-devtools/python/python3-blinker_1.4.bb
create mode 100644 meta-python/recipes-devtools/python/python3-blinker_1.5.bb

diff --git a/meta-python/recipes-devtools/python/python3-blinker/0001-use-pytest-instead-of-deprecated-nose.patch b/meta-python/recipes-devtools/python/python3-blinker/0001-use-pytest-instead-of-deprecated-nose.patch
deleted file mode 100644
index a04c79b1e0..0000000000
--- a/meta-python/recipes-devtools/python/python3-blinker/0001-use-pytest-instead-of-deprecated-nose.patch
+++ /dev/null
@@ -1,36 +0,0 @@
-From 9750d01118ee59ab174525e30d987065b69c0538 Mon Sep 17 00:00:00 2001
-From: pgajdos <pgajdos@...>
-Date: Wed, 8 Jul 2020 15:22:19 +0200
-Subject: [PATCH] use pytest instead of deprecated nose
-
-Upstream-Status: Submitted [https://github.com/jek/blinker/pull/60]
-Signed-off-by: Khem Raj <raj.khem@...>
----
- tests/test_signals.py | 4 ++--
- 1 file changed, 2 insertions(+), 2 deletions(-)
-
-diff --git a/tests/test_signals.py b/tests/test_signals.py
-index 9771e40..ccbc35b 100644
---- a/tests/test_signals.py
-+++ b/tests/test_signals.py
-@@ -4,7 +4,7 @@ import time
-
- import blinker
-
--from nose.tools import assert_raises
-+import pytest
-
-
- jython = sys.platform.startswith('java')
-@@ -232,7 +232,7 @@ def test_meta_connect_failure():
- pass
- sig = blinker.Signal()
-
-- assert_raises(TypeError, sig.connect, receiver)
-+ pytest.raises(TypeError, sig.connect, receiver)
- assert not sig.receivers
- assert not sig._by_receiver
- assert sig._by_sender == {blinker.base.ANY_ID: set()}
---
-2.35.1
-
diff --git a/meta-python/recipes-devtools/python/python3-blinker_1.4.bb b/meta-python/recipes-devtools/python/python3-blinker_1.4.bb
deleted file mode 100644
index 08a961f938..0000000000
--- a/meta-python/recipes-devtools/python/python3-blinker_1.4.bb
+++ /dev/null
@@ -1,22 +0,0 @@
-DESCRIPTION = "Fast, simple object-to-object and broadcast signaling."
-LICENSE = "MIT"
-LIC_FILES_CHKSUM = "file://PKG-INFO;md5=946d7e89af6f7733aeaebed5635d2682"
-
-SRC_URI[md5sum] = "8b3722381f83c2813c52de3016b68d33"
-SRC_URI[sha256sum] = "471aee25f3992bd325afa3772f1063dbdbbca947a041b8b89466dc00d606f8b6"
-
-inherit pypi setuptools3 ptest
-
-SRC_URI += " \
- file://0001-use-pytest-instead-of-deprecated-nose.patch \
- file://run-ptest \
-"
-
-RDEPENDS:${PN}-ptest += " \
- ${PYTHON_PN}-pytest \
-"
-
-do_install_ptest() {
- install -d ${D}${PTEST_PATH}/tests
- cp -rf ${S}/tests/* ${D}${PTEST_PATH}/tests/
-}
diff --git a/meta-python/recipes-devtools/python/python3-blinker_1.5.bb b/meta-python/recipes-devtools/python/python3-blinker_1.5.bb
new file mode 100644
index 0000000000..dae1e39437
--- /dev/null
+++ b/meta-python/recipes-devtools/python/python3-blinker_1.5.bb
@@ -0,0 +1,18 @@
+DESCRIPTION = "Fast, simple object-to-object and broadcast signaling."
+LICENSE = "MIT"
+LIC_FILES_CHKSUM = "file://LICENSE.rst;md5=42cd19c88fc13d1307a4efd64ee90e4e"
+
+SRC_URI[sha256sum] = "923e5e2f69c155f2cc42dafbbd70e16e3fde24d2d4aa2ab72fbe386238892462"
+
+inherit pypi setuptools3 ptest
+
+SRC_URI += "file://run-ptest"
+
+RDEPENDS:${PN}-ptest += " \
+ ${PYTHON_PN}-pytest \
+"
+
+do_install_ptest() {
+ install -d ${D}${PTEST_PATH}/tests
+ cp -rf ${S}/tests/* ${D}${PTEST_PATH}/tests/
+}
--
2.25.1

Join openembedded-devel@lists.openembedded.org to automatically receive all group messages.